Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC::Decoder::Stream::State Class Reference

`#include <decoder.h>`

List of all members.

## Detailed Description

This class is a wrapper around FLAC__StreamDecoderState.

## Public Member Functions
| State (::FLAC__StreamDecoderState state)
| operator::FLAC__StreamDecoderState () const
const char * | as_cstring () const
const char * | resolved_as_cstring (const Stream &decoder) const
## Protected Attributes
::FLAC__StreamDecoderState | state_

The documentation for this class was generated from the following file:

- include/FLAC++/decoder.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |